#-------------------------------------------------------------------------------
#
# CONFIGURATION FILE FOR MENTAT-INFORMANT.PY MODULE
#
#-------------------------------------------------------------------------------

{
    #---------------------------------------------------------------------------
    # Custom script configurations
    #---------------------------------------------------------------------------

    # Enforce locale for generating reports.
    #   default: "en"
    #   type:    string
    #
    #"force_locale": "en",
    #"force_locale": "cs",

    # Enformce timezone for generating reports.
    #   default: "UTC"
    #   type:    string
    #
    #"force_timezone": "Europe/Prague",
    #"force_timezone": "America/Los_Angeles",

    # Enforce a template for generating reports.
    #   default: "default"
    #   type:    string
    #
    #"force_template": "default",

    # Additional variables that can be used inside the report templates.
    #   default: {}
    #   type:    dict
    #
    "template_vars": {
        "url_dashboard_proc": "https://mentat.domain.org/mentat/events/dashboard",
        "url_dashboard_rep": "https://mentat.domain.org/mentat/reports/dashboard",
        "contact_email": "abuse@domain.org",
        "admin_email": "mentat-admin@domain.org"
    },

    #---------------------------------------------------------------------------
    # Common mailer plugin configurations
    #---------------------------------------------------------------------------

    # Email subject.
    #   default: null
    #   type:    string
    #
    #"mail_subject": "Periodical system preformance report",

    # Source email address.
    #   default: null
    #   type:    string
    #
    #"mail_from": "root",

    # Target email address(es).
    #   default: null
    #   type:    string or list of strings
    #
    #"mail_to": "root",

    # Target copy email address(es).
    #   default: null
    #   type:    string or list of strings
    #
    #"mail_cc": "root",

    # Target blind copy email address(es).
    #   default: null
    #   type:    string or list of strings
    #
    #"mail_bcc": "root",

    # Reply to email address(es).
    #   default: null
    #   type:    string or list of strings
    #
    #"mail_reply_to": "root",

    # Return address for undeliverable emails.
    #   default: null
    #   type:    string
    #
    #"mail_return_path": "root",

    # Admin email address(es).
    #   default: "root"
    #   type:    string or list of strings
    #
    #"mail_admin": "root",

    # Send emails in test mode (flag).
    #   default: false
    #   type:    bool
    #
    #"mail_test_mode": false,

    # Send emails in development mode (flag). Will use localhost:1025 as mail server.
    #   default: false (set in core/common.json.conf)
    #   type:    bool
    #
    #"mail_dev_mode": true,

    # Hostname for development SMTP server.
    #   default: "localhost" (set in core/common.json.conf)
    #   type:    string
    #
    #"mail_dev_server": "localhost",

    # Port for development SMTP server.
    #   default: 1025 (set in core/common.json.conf)
    #   type:    integer
    #
    #"mail_dev_port": 1025,

    #---------------------------------------------------------------------------
    # Common script configurations
    #---------------------------------------------------------------------------

    #"regular": false,
    #"shell": false,
    #"command": "report",
    "interval": "daily",
    #"adjust_thresholds": false,
    #"time_high": null,

    #---------------------------------------------------------------------------
    # Common application configurations
    #---------------------------------------------------------------------------

    #"quiet": false,
    #"verbosity": 0,
    #"log_file": "/var/mentat/log/mentat-informant.py.log",
    #"log_level": "info",
    #"runlog_dir": "/var/mentat/run/mentat-informant.py",
    #"runlog_dump": false,
    #"runlog_log": false,
    #"pstate_file": "/var/mentat/run/mentat-informant.py.pstate",
    #"pstate_dump": false,
    #"pstate_log": false,
    #"action": null,
    #"user": "mentat",
    #"group": "mentat",

    # This is a dummy last configuration so that the user does not have to fix
    # the commas in the whole configuration file after each change.
    "_dummy_": "_dummy_"
}
